import React from "react";
import { Drawer, Box, List, ListItem, ListItemButton, ListItemIcon, ListItemText, Divider } from "@mui/material";
import logoSrc from "../../../../assets/svg/logo.svg";

const MobileNav = ({ open, onClose, menu = [] }) => {
  return (
    <Drawer
      open={open}
      onClose={onClose}
      sx={{
        "& .MuiDrawer-paper": {
          backgroundColor: "black",
          color: "white",
          width: 250,
        },
      }}
    >
      {/* Logo Section */}
      <Box
        sx={{
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          height: 80,
        }}
      >
        <img
          src={logoSrc}
          alt="Logo"
          style={{
            width: 150,
            height: 50,
          }}
        />
      </Box>

      {/* Main Navigation */}
      <Box sx={{ width: 250 }} role="presentation">
        <List>
          {menu.map(({title, link, icon}) => (
            <ListItem key={title} disablePadding>
              <ListItemButton
                sx={{
                  color: "white",
                  "&:hover": {
                    backgroundColor: "white",
                    color: "black",
                  },
                }}
              >
                {icon}
                <ListItemText sx={{ml:2}} primary={title} />
              </ListItemButton>
            </ListItem>
          ))}
        </List>
      </Box>
    </Drawer>
  );
};

export default MobileNav;
