import {useState} from 'react';
import { Box, Typography, IconButton, Pagination } from '@mui/material';

import Grid from '@mui/material/Grid2';

const ProductHistoryList = () => {

  const [currentPage, setCurrentPage] = useState(1);
  const itemsPerPage = 10;
  const totalPages = 5;

  const handleChangePage = (event, value) => {
    setCurrentPage(value);
  };

  const handlePrevious = () => {
    setCurrentPage((prev) => (prev > 1 ? prev - 1 : 1));
  };

  const handleNext = () => {
    setCurrentPage((prev) => (prev < totalPages ? prev + 1 : totalPages));
  };

  const images = [
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    }
  ];

  return (
    <Box sx={{ mb: 5 }}>
      <Grid container spacing={1} columns={12}>
        {images.map((image, index) => (<Grid item size={{xs:12, md:2}} key={index}>
          <Box
            sx={{
              overflow: 'hidden',
              position: 'relative'
            }}
          >
            <img
              src={image.url}
              alt={image.title}
              style={{
                width: '100%',
                aspectRatio: '4 / 4',
                objectFit: 'cover',
              }}
            />

            <Box sx={{ py: 5 }}>
              <Typography variant="h5" sx={{ fontWeight: "bolder" }}>
                {image.title}
              </Typography>
              <Typography variant="h6" >
                {`RM ${image.price}`}
              </Typography>
            </Box>
          </Box>
        </Grid>))}
      </Grid>
      {/* Pagination Controls */}
      <Box
        sx={{
          display: 'flex',
          justifyContent: 'center',
          alignItems: 'center',
          mt: 4,
        }}
      >
        <Pagination
          count={totalPages}
          page={currentPage}
          onChange={handleChangePage}
          sx={{ mx: 2 }}
        />
      </Box>
    </Box>
  );
};

export default ProductHistoryList;
